War2.ru Slogan
News: New responsive forum theme available!
Click here to switch! More info here!


Welcome, Guest. Please login or register.

Login with username, password and session length
Welcome to the forums! We're glad to have you here! :) You can register your account here, then feel free to introduce yourself in the Server.War2.ru board & let us know who you are on the server.

server reconfiguration: versioncheck DEactivated 4825  19

Administrator Ogre Mage Posts: 1556 Karma: +152/-11 *****

iL

  • Administrator
  • Ogre Mage
  • *****
  • *
  • Posts: 1556
    • View Profile
*

iL

server reconfiguration: versioncheck DEactivated
« on: November 30, 2014, 04:57:18 PM »
So, i have to switch versioncheck off.

1. i've just been modeled the problem with versioncheck and was not able to resolve it.
2. this way of fighting agaist cheaters is stupid. We have to block any way to cheat, not just to disable version which could be possibly easier to be caught cheating.
3. Several people definitely have unresolved problems with versioncheck. At least several germans.

Just edited the previous message, here's the old one:
Quote
So, skip_versioncheck is being set to false again.
That means, server will check your version while you join bnet.

That will touch at least the stealthbot clients.
You will not be able to join until you create W2BN folder inside your stealthbot folder and copy 3 files there:
- battle.snp
- storm.dll
- Warcraft II BNE.exe

That should not touch any versions of any other game clients: english, german, spanish or any other. 2.0.2.0 or 2.0.2.1
Let me know here if you have any problems with connecting bnet.
Critter Posts: 2 Karma: +0/-0 *

mntbiker56

  • Critter
  • *
  • Posts: 2
    • View Profile
Re: server reconfiguration: versioncheck activated again
« Reply #1 on: December 01, 2014, 05:51:07 PM »
Getting "Battlenet was unable to properly identify your application version."  When trying to join the server.  This just started happening the last couple days.

Update, I am now able to get on,  I'm having to use the patched version 'War2 Combat Loader'.  If I try and use the "war2 Combat without patches"  It fails for the version.
Also I"m running this on a WIN8 machine.  I can't use the 3.15 latest version,  It crashes.  Still playing around with this.  So had to go back to the 3.05 version (english).
Death Knight Posts: 2652 Karma: +84/-4 http://meatspin.com *********

Delete mine too

  • Death Knight
  • *********
  • *
  • Posts: 2652
  • http://meatspin.com
    • View Profile
    • http://meatspin.com
Re: server reconfiguration: versioncheck activated again
« Reply #2 on: December 01, 2014, 07:06:41 PM »
Use combat edition?
Death Knight Posts: 4072 Karma: +162/-101 *********

Nox

  • Death Knight
  • *********
  • *
  • Posts: 4072
    • View Profile
*

Nox

Re: server reconfiguration: versioncheck activated again
« Reply #3 on: December 01, 2014, 07:23:26 PM »
Download and install the version on this website, it took 1 minutes download 1 minutes install.

http://server.war2.ru
Administrator Ogre Mage Posts: 1556 Karma: +152/-11 *****

iL

  • Administrator
  • Ogre Mage
  • *****
  • *
  • Posts: 1556
    • View Profile
*

iL

Re: server reconfiguration: versioncheck activated again
« Reply #4 on: December 02, 2014, 01:03:09 AM »
Getting "Battlenet was unable to properly identify your application version."  When trying to join the server.  This just started happening the last couple days.
Which time? Just before posting this message?
Which version do you have? English? Custom build? Something specific? Can you post your "Warcraft II BNE.exe" here or PM?
And "battle.snp" and "storm.dll" files also.
Server Admin Death Knight Posts: 4653 Karma: +111/-14 *****

tk[as]

  • Server Admin
  • Death Knight
  • *****
  • *
  • Posts: 4653
    • View Profile
Re: server reconfiguration: versioncheck activated again
« Reply #5 on: December 02, 2014, 01:39:52 PM »
i downloaded 3.15 and the version is 2.0.2.0
Administrator Ogre Mage Posts: 1556 Karma: +152/-11 *****

iL

  • Administrator
  • Ogre Mage
  • *****
  • *
  • Posts: 1556
    • View Profile
*

iL

Re: server reconfiguration: versioncheck activated again
« Reply #6 on: December 02, 2014, 01:52:35 PM »
Sure. All combats based on 2.0.2.0
Death Knight Posts: 4072 Karma: +162/-101 *********

Nox

  • Death Knight
  • *********
  • *
  • Posts: 4072
    • View Profile
*

Nox

Re: server reconfiguration: versioncheck activated again
« Reply #7 on: December 02, 2014, 02:27:19 PM »
Client said 2.02 but it's 3.15
Administrator Ogre Mage Posts: 1556 Karma: +152/-11 *****

iL

  • Administrator
  • Ogre Mage
  • *****
  • *
  • Posts: 1556
    • View Profile
*

iL

Re: server reconfiguration: versioncheck activated again
« Reply #8 on: December 02, 2014, 03:03:28 PM »
Yes, combat is just a build of war2bne.
It uses it's exe-file and all the required data.

Combat is just Warcraft II BNE with some patches and utilities, and removed data to reduce size.
3.15 is number of build.

2.0.2.0 is version of Warcraft II BNE.
Server Admin Axe Thrower Posts: 418 Karma: +28/-2 *****

Warchief Lightbringer-

  • Server Admin
  • Axe Thrower
  • *****
  • *
  • Posts: 418
    • View Profile
Re: server reconfiguration: versioncheck activated again
« Reply #9 on: December 02, 2014, 11:16:50 PM »
Exact.  I already explained that to some people but they are brain dead it seems.

Sent from my HM 1SW using Tapatalk

Administrator Ogre Mage Posts: 2066 Karma: +110/-110 *****

mousEtopher

  • Administrator
  • Ogre Mage
  • *****
  • *
  • Posts: 2066
    • View Profile
    • War2.me
Re: server reconfiguration: versioncheck activated again
« Reply #10 on: December 03, 2014, 08:14:22 AM »
So, skip_versioncheck is being set to false again.
That means, server will check your version while you join bnet.

That will touch at least the stealthbot clients.
You will not be able to join until you create W2BN folder inside your stealthbot folder and copy 3 files there:
- battle.snp
- storm.dll
- Warcraft II BNE.exe

That should not touch any versions of any other game clients: english, german, spanish or any other. 2.0.2.0 or 2.0.2.1
Let me know here if you have any problems with connecting bnet.

And also switch connection method to local hashing, correct? I've done this & can connect to war2.me but get a "connection forcefully rejected" error for war2.ru. Thoughts? http://i.imgur.com/sejt38j.png
Death Knight Posts: 4072 Karma: +162/-101 *********

Nox

  • Death Knight
  • *********
  • *
  • Posts: 4072
    • View Profile
*

Nox

Re: server reconfiguration: versioncheck activated again
« Reply #11 on: December 03, 2014, 09:53:05 AM »
Exact.  I already explained that to some people but they are brain dead it seems.

Sent from my HM 1SW using Tapatalk



You understand nothing, keep protecting a hacking client, i mean keep protecting your hacking secret you got since 10 years.
Ogre Mage Posts: 1734 Karma: +66/-36 ********

Winchester

  • Ogre Mage
  • ********
  • *
  • Posts: 1734
    • View Profile
Re: server reconfiguration: versioncheck activated again
« Reply #12 on: December 03, 2014, 10:11:35 AM »
Exact.  I already explained that to some people but they are brain dead it seems.

Sent from my HM 1SW using Tapatalk



You understand nothing, keep protecting a hacking client, i mean keep protecting your hacking secret you got since 10 years.


Mad cuz bad.

+ Mad cuz cant play war2 without hacks cuz too bad

Server Admin Axe Thrower Posts: 418 Karma: +28/-2 *****

Warchief Lightbringer-

  • Server Admin
  • Axe Thrower
  • *****
  • *
  • Posts: 418
    • View Profile
Re: server reconfiguration: versioncheck activated again
« Reply #13 on: December 03, 2014, 10:42:50 AM »
Eq the pocket dog hacker

Sent from my HM 1SW using Tapatalk

Administrator Ogre Mage Posts: 1556 Karma: +152/-11 *****

iL

  • Administrator
  • Ogre Mage
  • *****
  • *
  • Posts: 1556
    • View Profile
*

iL

Re: server reconfiguration: versioncheck DEactivated
« Reply #14 on: January 10, 2015, 10:38:07 AM »
I removed versioncheck now. WTF, why to switch it on? It definitely makes some problems for people to join, i don't like to loose people for any cases.

My experiment:
0. i installed win vista and also win7 with all the settings by default. (I mean, i didn't disable UAC and DEP).
1. i just installed combat 3.15, changed install path to C:\Program Files\War2Combat.
2. started war2 (worked after i've added it to DEP exclusions) and got this message about versioncheck.
3. As known, problem is being caused by these 3 files:
- battle.snp
- storm.dll
- Warcraft II BNE.exe
Also I copied these files to VirtualStore: http://server.war2.ru/about/screenshot-policy/#If-you-already-saved-a-screenshot-with-UAC-Enabled
That didn't help.

The same result repeated in both vista and 7.

That means versioncheck at least will not work under new windows with UAC enabled when your war2 is installed into programs files, where any full version will be installed by default.
That's why i disabled versioncheck on the server and have no plans to enable it anymore.

Now every war2 version is working fine with our server.
Have a nice time playing war2!